# Class AngScale2

java.lang.Object
skyview.data.AngScale
uk.ac.starlink.ttools.plot2.geom.AngScale2

public class AngScale2 extends skyview.data.AngScale
Find an appropriate delta to use for getting grid intervals.

This subclasses the SkyView AngScale class in order to modify its behaviour slightly. The original implementation is copied from the original skyview source.

The changes consist of addding some larger values to the `*Bigs[]` arrays, so that lower crowding values actually yield more sparse grids. That includes values that correspond to no grid lines at all (180/360 degrees for lat/lon).

Author:
  Tom McGlynn, Mark Taylor

## Constructor Summary

Constructors
Constructor
Description
`AngScale2()`

## Method Summary

Modifier and Type
Method
Description
`double`
`scale(double delta)`
Get an appropriate scaling for this coordinate.
`double[]`
`scaling(double min, double max)`
Get the desired starting values and scaling interval.
`void`
`setSexagesimal(boolean flag)`
Do we want sexagesimal coordinates?
`void`
`setTime(boolean flag)`
Do we want coordinates in time?

### Methods inherited from class skyview.data.AngScale

`main`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### AngScale2

public AngScale2()

## Method Details

### scale

public double scale(double delta)
Get an appropriate scaling for this coordinate.

Overrides:
  `scale` in class `skyview.data.AngScale`
Parameters:
  `delta` - The range of the coordinate.

### scaling

public double[] scaling(double min, double max)
Get the desired starting values and scaling interval.

Overrides:
  `scaling` in class `skyview.data.AngScale`
Parameters:
  `min` - The minimum coordinate value.
  `max` - The maximum coordinate value
Returns:
  a two element vector giving the starting value and delta to be used. .

### setSexagesimal

public void setSexagesimal(boolean flag)
Do we want sexagesimal coordinates?

Overrides:
  `setSexagesimal` in class `skyview.data.AngScale`

### setTime

public void setTime(boolean flag)
Do we want coordinates in time?

Overrides:
  `setTime` in class `skyview.data.AngScale`